VME Intensity Monitor - Bug #10496

MI TOROID R:TOR703 (S60TOR) Drop Outs
10/13/2015 12:35 PM - Roger Tokarek

Status: Closed Start date: 10/13/2015
Priority: Urgent Due date: 10/13/2015
Assignee: Roger Tokarek % Done: 100%
Category: Estimated time: 12.00 hours
Target version: Spent time: 10.00 hours
Description

R:TOR703 (S60TOR) drops out (falls to 0) every 70 milliseconds or so.

Tried:
e Corrected SSDN to reflect scalar data ----/----/----/01--.
¢ Confirmed startup script is okay.
* "make development" with most recent git pull.
¢ Re-booted.
[ ]

Looked for register returning 0, not observed (register print-out with cout).
Request to Engineering to investigate data register with LabVIEW.

Next:

¢ Trace data through code

History

#1 - 10/13/2015 03:25 PM - Roger Tokarek
- % Done changed from 40 to 100

Accidental fix. Re-implemented read() method in IntensityAccessor and is now working. Updated git and pushed new version to MI-10, 14, 30 and
S60.
Status:

e Completed.
#2 - 10/26/2015 08:08 AM - Roger Tokarek

- % Done changed from 100 to 30
- Estimated time changed from 4.00 h to 12.00 h

Reopen: Suspect this is related to current data acquisition process.
Proposed fix: Implement a single read of each of the ADC intensity registers into an internal latched buffer after receiving an ADC board interrupt. If
there is more than one intensity register consider a block read of all registers.

#3 - 11/22/2015 10:52 AM - Roger Tokarek
- Status changed from New to Closed

- % Done changed from 30 to 100

Appears to be a firmware issue. Resolved and completed
